/* 
 * File:   StubLtc2600.h
 * Author: claude
 *
 * Created on 20 décembre 2016, 11:25
 */

#ifndef VIRLTC2600_H
#define VIRLTC2600_H

#include <signal.h>
#include <unistd.h>

#include "ILtc2600.h"

class VirLtc2600 : public ILtc2600 {
public:
    VirLtc2600(spiCS_t cs);
    //VirLtc2600(const VirLtc2600& orig);
    virtual ~VirLtc2600();

private:
    union sigval _spiFrame;
    int pid;

    int sendFrame(uint8_t * theData) override;
};

#endif /* VIRLTC2600_H */

